创建 pfxRecryptionRequest
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 pfxRecryptionRequest 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /pfxRecryptionRequests
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 pfxRecryptionRequest 对象的 JSON 表示形式。
下表显示创建 pfxRecryptionRequest 时所需的属性。
| 属性 | 类型 | 描述 |
|---|---|---|
| tenantId | Guid | 尚未记录 |
| userId | Guid | 尚未记录 |
| deviceId | Guid | 尚未记录 |
| profileId | Guid | 尚未记录 |
| thumbprint | String | 尚未记录 |
| deviceKeyThumbprint | String | 尚未记录 |
| status | Int32 | 尚未记录 |
| sourceType | Int32 | 尚未记录 |
| createdTime | DateTimeOffset | 尚未记录 |
| lastModifiedTime | DateTimeOffset | 尚未记录 |
| isDeleted | Boolean | 尚未记录 |
| eTag | String | 尚未记录 |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created pfxRecryptionRequest 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/pfxRecryptionRequests
Content-type: application/json
Content-length: 574
{
"@odata.type": "#microsoft.graph.pfxRecryptionRequest",
"tenantId": "f9882bcd-2bcd-f988-cd2b-88f9cd2b88f9",
"userId": "a991071c-071c-a991-1c07-91a91c0791a9",
"deviceId": "6de0af45-af45-6de0-45af-e06d45afe06d",
"profileId": "6389d896-d896-6389-96d8-896396d88963",
"thumbprint": "Thumbprint value",
"deviceKeyThumbprint": "Device Key Thumbprint value",
"status": 6,
"sourceType": 10,
"createdTime": "2017-01-01T00:03:18.9597073-08:00",
"lastModifiedTime": "2017-01-01T00:03:18.5958204-08:00",
"isDeleted": true,
"eTag": "ETag value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 574
{
"@odata.type": "#microsoft.graph.pfxRecryptionRequest",
"tenantId": "f9882bcd-2bcd-f988-cd2b-88f9cd2b88f9",
"userId": "a991071c-071c-a991-1c07-91a91c0791a9",
"deviceId": "6de0af45-af45-6de0-45af-e06d45afe06d",
"profileId": "6389d896-d896-6389-96d8-896396d88963",
"thumbprint": "Thumbprint value",
"deviceKeyThumbprint": "Device Key Thumbprint value",
"status": 6,
"sourceType": 10,
"createdTime": "2017-01-01T00:03:18.9597073-08:00",
"lastModifiedTime": "2017-01-01T00:03:18.5958204-08:00",
"isDeleted": true,
"eTag": "ETag value"
}
反馈
提交和查看相关反馈